Subject: Problem getting numeric username/groups w/ ls

From: Greg Bulman - EST Contractor <[email-masked]>
Date: Mon, 8 Mar 1999 17:57:09 -0800

I'm running wu-ftpd 2.4.2, under Solaris 2.5.1.  We also have several
running instances of various wu-ftpd 2.4 - 2.4.2Beta15 running on
Solaris 2.5.1 behaving the same.  I've used the Solaris provided man
page in.ftpd script for setting up the ftp directory.

I cannot figure out how to get the username rather than the userid
(and groups too) when doing an "ftp> ls -l" (or a dir BTW).

I've read through the FAQ and nothing really seemed to point to the
problem.  I've triple checked my ~ftp/etc/passwd,group files and they
appear to be what's expected.

Any other pointers folks?
-gbulman
--------------------------------------------------------------------------------
Greg Bulman						[email-masked]
UNIX Systems Administrator
Synopsys, Inc.
--------------------------------------------------------------------------------

---

From: Bob Luckin <[email-masked]>
Date: Mon, 8 Mar 99 20:11:51 CST

Greg said :-
> Any other pointers folks?

If you're not seeing the names which are in your ~ftp/etc/passwd, then my
guess is that you're missing a library from ~ftp/usr/lib, which ls needs
to map the id to the name in the file.

I had this problem a couple of years ago - unfortunately, I can't remember
which library I had to copy over to fix the problem.  But you can try running
chrooted under truss to see what shows up.  (libnsl.so comes to mind for
some reason, but it could have been one of the others.)

Cheers, Bob
-- 
Bob Luckin      [email-masked]      "Coder, adapt.  FTP Ada, redo C"
                                 [http://www.dhc.net/~luckin/palindromes.html]